<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-the-Activation-Lock-Status-Information-for-an-OrgDevice",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-orgDevices-{}-activationLockStatus"
  },
  "title" : "Get the Activation Lock Status for a Device"
}
-->

# Get the Activation Lock Status for a Device

Get the Activation Lock status of an organization device.

## Overview> Note: The request can also fail with an unexpected server error if the device reports an internal-only lock state that isn’t valid for a managed device.

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/orgDevices/{id}/activationLockStatus" \
-H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": {
    "type": "activationLockStatus",
    "id": "C39J8W1H3VG5",
    "attributes": {
      "isLocked": true,
      "lockType": "MDM"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/orgDevices/C39J8W1H3VG5/activationLockStatus"
  }
}
```

## Topics

### Responses

[`object ActivationLockStatusResponse`](/documentation/AppleBusinessAPI/ActivationLockStatusResponse)

A response that contains the Activation Lock status of an organization device.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)